com.mapinfo.midev.dp.file

## Interface IFileTableDefinition

All Superinterfaces:
  ITableDefinition

All Known Implementing Classes:
  NativeTableDefinition, ShapeTableDefinition

    public interface IFileTableDefinition
    extends ITableDefinition

Table Definition for file based data providers.

### Method Summary

All Methods Instance Methods Abstract Methods
`File` `getFile()` Returns an object of `File` to open.

### Methods inherited from interface com.mapinfo.midev.data.ITableDefinition

`getDataProvider, getName`

### Method Detail

#### getFile

    File getFile()

Returns an object of `File` to open.

Returns:
  File to be opened.